QGIS Application - Bug report #19958
Database manager allows one to create saved query with no name
2018-09-26 07:02 PM - Lars Kellogg-Stedman

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: DB Manager

Affected QGIS version:3.3(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27780
Description

It is possible to click on the "Save" button to create a saved SQL query even when no name is entered in the "Name" field. This creates a
confusing empty entry in the list of saved queries.

Both the "Save" and "Delete" buttons should be inoperative if the Name field is empty.

Associated revisions

Revision c06c475b - 2018-09-27 08:29 AM - Alessandro Pasotti

[db-manager] Update sql dialog buttons status

Fixes #19958 - Database manager allows one to create saved query with no name

History

#1 - 2018-09-26 07:05 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#2 - 2018-09-27 08:31 AM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/8037

#3 - 2018-09-27 09:18 AM - Anonymous
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|c06c475b9cd4bf429567e0567ae043c7ce9al77e.
